﻿Public Class _Default
    Inherits Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        FileUp.Attributes.Add("OnChange", "SetFile(" & FileUp.ClientID & ", " & txtFile.ClientID & ", " & Me.cmdApplyChanges.ClientID & ");")

        Dim myscript As String = "alert(document.getElementById('TextBox1').value);"
        Page.ClientScript.RegisterStartupScript(Me.GetType(), "myscript", myscript, True)

        If Not IsPostBack Then
            Me.Calendar1.SelectedDate = Now
        End If
    End Sub

    Protected Sub bLogin_Click(sender As Object, e As EventArgs) Handles bLogin.Click

        Dim svc As New ReformesServiceClient
        Dim user As String = Me.tbUsername.Text
        Dim pass As String = Me.tbPassword.Text
        Dim NomProv As String = ""
        Dim Idp As Double = -1
        Dim b As Boolean = svc.LoginExtern(user, pass, Idp, NomProv)

        If b Then
            Me.div_login.Visible = False
            Me.div_upload.Visible = True
            Me.lblId.Text = Idp
            Me.lblNomProveidor.Text = NomProv
        Else

            Me.lError.Text = "Usuari o password incorrecte"
            Me.tbPassword.Text = ""
        End If


    End Sub



    Private Sub cmdApplyChanges_ServerClick(sender As Object, e As EventArgs) Handles cmdApplyChanges.ServerClick



        Dim key As Byte() = CompressionUtilites.StringAsciiToBytes(" `+h	?9?????8[{???ua?,?n??")
        Dim iv As Byte() = CompressionUtilites.MD5HashToByte("6260bb059ec9fcdda3ec271268e953ba")

        Dim hashErr As New Hashtable


        Dim fu As FileUpload = Me.FileUp
        Dim lbl As Label = Me.lblId

        Try
            If fu.HasFile Then

                If Me.txtNif.Text = "" Then
                    Me.lblErrorUpload.Text = "Si us plau, proporcioni el NIF abans d'enviar."
                    Me.lblErrorUpload.Visible = True
                    Exit Sub
                End If

                If Me.txtImport.Text = "" OrElse Not IsNumeric(Me.txtImport.Text) Then
                    Me.lblErrorUpload.Text = "Si us plau, proporcioni un import correcte abans d'enviar."
                    Me.lblErrorUpload.Visible = True
                    Exit Sub
                End If

                If Me.Calendar1.SelectedDate = Nothing Then
                    Me.lblErrorUpload.Text = "Si us plau, seleccioni la data de factura abans d'enviar."
                    Me.lblErrorUpload.Visible = True
                    Exit Sub
                End If

                Using reader As New IO.BinaryReader(fu.PostedFile.InputStream)


                    Dim filedata As Byte() = reader.ReadBytes(fu.PostedFile.ContentLength)
                    filedata = CompressionUtilites.ZipEncryptAndCompress(filedata, key, iv)
                    Dim svc As New ReformesServiceClient
                    Dim str As String = System.Text.Encoding.Default.GetString(filedata)
                    Dim str2 As String = String.Empty
                    Dim idDoc As Long = -1
                    Dim b As Boolean = True

                    'se envian de 9000 en 9000 perque si no el servidor no ho admet

                    If str.Length < 9000 Then

                        b = svc.AddFacturaPro(CType(lbl.Text, Double), fu.PostedFile.FileName, fu.PostedFile.ContentLength,
                                                              fu.PostedFile.ContentType, str,
                                                              Me.txtNif.Text, Me.Calendar1.SelectedDate, Me.txtImport.Text) > 0

                    Else
                        Dim i As Integer = 9000
                        'Enviem els 9000 primers caracters i augmentem a 9000 el comptador
                        str2 = str.Substring(0, 9000)

                        idDoc = svc.AddFacturaPro(CType(lbl.Text, Double), fu.PostedFile.FileName, fu.PostedFile.ContentLength,
                                                              fu.PostedFile.ContentType, str2,
                                                              Me.txtNif.Text, Me.Calendar1.SelectedDate, Me.txtImport.Text)


                        Do
                            If i + 9000 <= str.Length Then
                                b = b And svc.AddDataToFacturaPro(idDoc, str.Substring(i, 9000))
                            Else
                                b = b And svc.AddDataToFacturaPro(idDoc, str.Substring(i))
                            End If


                            i = i + 9000
                        Loop While i < str.Length


                    End If





                    If b Then
                        Response.Redirect("OK.aspx")
                    Else
                        Me.lblErrorUpload.Text = "Ha hagut un error al pujar el fitxer. Si us plau, intenti-ho de nou."
                    End If

                End Using

            Else
                Me.lblErrorUpload.Text = "Si us plau, seleccioni un fitxer abans d'enviar."
                Me.lblErrorUpload.Visible = True
            End If
        Catch ex As Exception
            If ex.Message.Contains("(413)") Then
                Me.lblErrorUpload.Text = "Si us plau, seleccioni un fitxer més petit per enviar"
                Me.lblErrorUpload.Visible = True
            Else
                Me.lblErrorUpload.Text = ex.Message
                Me.lblErrorUpload.Visible = True
            End If

        End Try






    End Sub
End Class