﻿Public Class HomeController
    Inherits System.Web.Mvc.Controller

    Function Index() As ActionResult
        ViewData("Message") = "Modify this template to jump-start your ASP.NET MVC application."

        If Not Request.IsAuthenticated Then
            Return RedirectToAction("Login", "Account")
        Else
            Return View()
        End If

    End Function

    Function About() As ActionResult
        ViewData("Message") = "Your app description page."

        Return View()
    End Function

    Function Contact() As ActionResult
        ViewData("Message") = "Your contact page."

        Return View()
    End Function


    Function ChangeCulture(ByVal lang As String) As ActionResult

        Dim langCookie As HttpCookie = New HttpCookie("lang", lang)
        Response.AppendCookie(langCookie)

        Dim d As New System.Web.Routing.RouteValueDictionary()
        d.Add("culture", lang)

        Return RedirectToAction("Index", "Home", d)

    End Function
End Class
