﻿' Nota: para obtener instrucciones sobre cómo habilitar el modo clásico de IIS6 o IIS7, 
' visite http://go.microsoft.com/?LinkId=9394802
Imports System.Web.Http
Imports System.Web.Optimization

Public Class MvcApplication
    Inherits System.Web.HttpApplication

    Sub Application_Start()
        AreaRegistration.RegisterAllAreas()

        WebApiConfig.Register(GlobalConfiguration.Configuration)
        FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters)
        RouteConfig.RegisterRoutes(RouteTable.Routes)
        BundleConfig.RegisterBundles(BundleTable.Bundles)
        AuthConfig.RegisterAuth()

        ' General.client = New ReformesServiceClient()


    End Sub

    Private Sub MvcApplication_AcquireRequestState(sender As Object, e As EventArgs) Handles Me.AcquireRequestState

        'http://www.chambaud.com/2013/02/27/localization-in-asp-net-mvc-4/

        Try
            Dim handler As System.Web.Mvc.MvcHandler = Context.Handler
            Dim routeData As System.Web.Routing.RouteData = handler.RequestContext.RouteData
            Dim routeCulture As String = If(routeData Is Nothing, Nothing, routeData.Values("culture").ToString)
            Dim languageCookie As System.Web.HttpCookie = HttpContext.Current.Request.Cookies("lang")
            Dim userLanguages = HttpContext.Current.Request.UserLanguages

            'Set the Culture based on a route, a cookie or the browser settings,
            'or default value if something went wrong

            Dim _cultureInfo As New Globalization.CultureInfo(If(languageCookie IsNot Nothing, languageCookie.Value, If(userLanguages IsNot Nothing,
                                                               userLanguages(0), "es")))
            Threading.Thread.CurrentThread.CurrentUICulture = _cultureInfo
            Threading.Thread.CurrentThread.CurrentCulture = Globalization.CultureInfo.CreateSpecificCulture(_cultureInfo.Name)
        Catch ex As Exception

        End Try


    End Sub
End Class
