﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.ComponentModel

Namespace ModelLayer

    <Schema.Table("COBRAMENTS")>
    <DataContract>
    Public Class Cobrament
        Inherits Transaccio

        <DataMember>
        Public Property ClientId As Long

        <DataMember>
        Public Property FacturaCliId As Long


#Region "Propietats de Navegació"

        <DataMember>
        Public Overridable Property FacturaCli As FacturaCli


        <DataMember>
        Public Overridable Property Client As Client

#End Region

#Region "Mètodes Concrets"
        Public Overrides Sub CanviarEstatTransaccio()
            Throw New NotImplementedException
        End Sub


        Public Overloads Sub FromObject(ByRef oCobrament As Cobrament)

            MyBase.FromObject(oCobrament)

            With oCobrament
                Me.ClientId = .ClientId
                Me.FacturaCliId = .FacturaCliId
            End With
        End Sub

#End Region

    End Class
End Namespace