﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.ComponentModel

Namespace ModelLayer

    <Schema.Table("PAGAMENTS")>
    <DataContract>
    Public Class Pagament
        Inherits Transaccio

        <DataMember>
        Public Property ProveidorId As Long

        <DataMember>
        Public Property FacturaProId As Long


#Region "Propietats de Navegació"

        <DataMember>
        Public Overridable Property FacturaPro As FacturaPro

        <DataMember>
        Public Overridable Property Proveidor As Proveidor


#End Region

#Region "Mètodes Concrets"
        Public Overrides Sub CanviarEstatTransaccio()

        End Sub

        Public Overloads Sub FromObject(ByRef oPagament As Pagament)

            MyBase.FromObject(oPagament)

            With oPagament

                Me.ProveidorId = .ProveidorId
                Me.FacturaProId = .FacturaProId

            End With

        End Sub

#End Region



    End Class

End Namespace

