﻿@ModelType AppGestio.ModelLayer.Usuari

@Code
    ViewData("Title") = Recursos.login_iniciarSessio
End Code



    <section style="height:400px">
        
        @*<h2>Utilice una cuenta local para iniciar sesión.</h2>*@
        @Using Html.BeginForm(New With {.ReturnUrl = ViewData("ReturnUrl")})
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(True)

            @<fieldset class="login-quadre" >
                <legend>Formulario de inicio de sesión</legend>

                    
                 <img class="login-icono" src="~/Images/iconos/login.png" />
                 <br /><br />
                 <div style="float:left; color:#E64916; font-size: 22px; font-weight:700">@ViewData("Title")</div>
                <br /><br />

                <ol>
                    <li>
                        @Html.Label("Text", Recursos.login_nomUsuari)
                        @Html.TextBoxFor(Function(m) m.NomUsuari)
                        @Html.ValidationMessageFor(Function(m) m.NomUsuari)
                    </li>
                    <li>
                        @Html.Label("Text", Recursos.login_contrassenya)
                        @Html.PasswordFor(Function(m) m.Contrassenya)
                        @Html.ValidationMessageFor(Function(m) m.Contrassenya)
                    </li>
                    @*<li>
                            @Html.CheckBoxFor(Function(m) m.RememberMe)
                            @Html.LabelFor(Function(m) m.RememberMe, New With { .Class = "checkbox" })
                        </li>*@
                </ol>
                 <input type="submit" value="@Recursos.login_iniciarSessio" />
               
            </fieldset>
            @*@<p>
                    @Html.ActionLink("Regístrese", "Register") si no tiene ninguna cuenta.
                </p>*@
        End Using
    </section>

    @*<section class="social" id="socialLoginForm">
            <h2>Usar otro servicio para iniciar sesión.</h2>
            @Html.Action("ExternalLoginsList", New With {.ReturnUrl = ViewData("ReturnUrl")})
        </section>*@

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
