﻿@ModelType AppGestio.ModelLayer.Client

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.client_gestioDeClients, Recursos.general_index)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>

@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<fieldset>
        <legend>Client</legend>
        @Html.HiddenFor(Function(model) model.ClientId)
        <table>
            <tr>
                <td>@Html.Label("Text", "Id")</td>
                <td>@Html.LabelFor(Function(model) model.ClientId)</td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td>@Html.Label("Text", Recursos.camps_nom)</td>
                <td>@Html.EditorFor(Function(model) model.Nom)</td>
                <td>@Html.Label("Text", Recursos.camps_telefon)</td>
                <td>@Html.EditorFor(Function(model) model.Telefon)</td>
            </tr>
            <tr>
                <td>@Html.Label("Text", Recursos.camps_NIF)</td>
                <td>@Html.EditorFor(Function(model) model.NIF)</td>
                <td>@Html.Label("Text", Recursos.camps_movil)</td>
                <td>@Html.EditorFor(Function(model) model.Movil)</td>
            </tr>
            <tr>
                <td>@Html.Label("Text", Recursos.camps_direccio)</td>
                <td>@Html.EditorFor(Function(model) model.Direccio)</td>
                <td>@Html.Label("Text", Recursos.camps_Email)</td>
                <td>@Html.EditorFor(Function(model) model.Email)</td>
            </tr>
            <tr>
                <td>@Html.Label("Text", Recursos.camps_poblacio)</td>
                <td>@Html.EditorFor(Function(model) model.Poblacio)</td>
                <td>@Html.Label("Text", Recursos.camps_web)</td>
                <td>@Html.EditorFor(Function(model) model.Web)</td>
            </tr>
            <tr>
                <td>@Html.Label("Text", Recursos.camps_cp)</td>
                <td>@Html.EditorFor(Function(model) model.CP)</td>
                <td>@Html.Label("Text", Recursos.camps_provincia)</td>
                <td>@Html.EditorFor(Function(model) model.Provincia)</td>
            </tr>
            <tr>
                <td>@Html.Label("Text", Recursos.camps_pais)</td>
                <td>@Html.EditorFor(Function(model) model.Pais)</td>
                <td></td>
                <td></td>
            </tr>
            <tr>

            </tr>
        </table>
        <p>
            <input type="submit" value="@Recursos.button_guardar" />
        </p>
    </fieldset>
End Using


<div>
    @Html.ActionLink(Recursos.button_tornarALlista, "Index")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
