﻿@ModelType AppGestio.InformeBalanc

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.est_estadistiques, Recursos.label_balanç)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>


@Using (Html.BeginForm)
    @<table>
        <tr>
            <td width="100px">@Html.Label("Text", Recursos.label_dataIni & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaIni", value:=Now.AddMonths(-1).ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td width="100px">@Html.Label("Text", Recursos.label_datafi & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaFin", value:=Now.ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td><input type="submit" value="@Recursos.button_aplicar" /></td>
        </tr>
    </table>
End Using


@If ViewBag.HasData Then
    

@<table style="width:300px">
    <tr>
        <td>@Recursos.est_totalvendes</td>
        <td>@Model.TotalFacturat</td>
        <td></td>
    </tr>
    <tr>
        <td>@Recursos.est_totalcobr</td>
        <td>@Model.TotalCobraments</td>
        <td></td>
    </tr>
    <tr>
        <td>@Recursos.est_totalptecobr</td>
        <td>@Model.TotalPteCobrament</td>
        <td></td>
    </tr>
    <tr>
        <td>@Recursos.est_totalcompres</td>
        <td></td>
        <td>@Model.TotalFacturesPro</td>
    </tr>
    <tr>
        <td>@Recursos.est_totalpagado</td>
        <td></td>
        <td>@Model.TotalPagos</td>
    </tr>
    <tr>
        <td>@Recursos.est_totalptepag</td>
        <td></td>
        <td>@Model.TotalPtePago</td>
    </tr>
</table>
@<table style="width:300px">
    <tr>
        <th>@Recursos.est_balanc_total</th>
        <th>@(Model.TotalCobraments - Model.TotalPagos)</th>
    </tr>
</table>
End If
<p>
    @Html.ActionLink(Recursos.button_tornarALlista, "Index")
</p>
