﻿@ModelType IEnumerable(Of AppGestio.InformeEstadistFact)

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.est_estadistiques, Recursos.est_estadistiques)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>

@Using (Html.BeginForm)
    @<table>
        <tr>
            <td width="100px">@Html.Label("Text", Recursos.label_dataIni & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaIni", value:=Now.AddMonths(-1).ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td width="100px">@Html.Label("Text", Recursos.label_datafi & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaFin", value:=Now.ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td><input type="submit" value="@Recursos.button_aplicar" /></td>
        </tr>
    </table>
End Using

    @If ViewBag.HasData Then
        @<table>
        <tr>
            <th>
                Anyo
            </th>
            <th>
               1
            </th>
            <th>
               2
            </th>
            <th>
               3
            </th>
            <th>
               4
            </th>
            <th>
               5
            </th>
            <th>
               6
            </th>
            <th>
               7
            </th>
            <th>
               8
            </th>
            <th>
               9
            </th>
            <th>
               10
            </th>
            <th>
               11
            </th>
            <th>
               12
            </th>
            <th>
                Total
            </th>
        </tr>
        @If Model IsNot Nothing Then
            @For Each item In Model
                Dim currentItem = item
    @<tr>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Any)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes1)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes2)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes3)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes4)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes5)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes6)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes7)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes8)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes9)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes10)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes11)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Mes12)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Total)
        </td>
    </tr>
            Next
        End If
        

    </table>
    End If

