﻿@ModelType IEnumerable(Of AppGestio.InformeLlibreIVA)

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.est_estadistiques, Recursos.label_llibreiva)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>

@Using (Html.BeginForm)
    @<table>
        <tr>
            <td width="100px">@Html.Label("Text", Recursos.label_dataIni & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaIni", value:=Now.AddMonths(-1).ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td width="100px">@Html.Label("Text", Recursos.label_datafi & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaFin", value:=Now.ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td><input type="submit" value="@Recursos.button_aplicar" /></td>
        </tr>
    </table>
End Using

@If ViewBag.HasData Then
  
        @<table>
        <tr>
            <th>
        @Html.DisplayNameFor(Function(model) model.Data)
            </th>
            <th>
        @Html.DisplayNameFor(Function(model) model.Concepte)
            </th>
            <th>
        @Html.DisplayNameFor(Function(model) model.Suportat)
            </th>
            <th>
        @Html.DisplayNameFor(Function(model) model.Repercutit)
            </th>
            <th>
        @Html.DisplayNameFor(Function(model) model.Total)
            </th>
        </tr>

        @For Each item In Model
                Dim currentItem = item
            @<tr>
                <td>
                    @Html.DisplayFor(Function(modelItem) currentItem.Data)
                </td>
                <td>
                    @Html.DisplayFor(Function(modelItem) currentItem.Concepte)
                </td>
                <td>
                    @Html.DisplayFor(Function(modelItem) currentItem.Suportat)
                </td>
                <td>
                    @Html.DisplayFor(Function(modelItem) currentItem.Repercutit)
                </td>
                <td>
                    @Html.DisplayFor(Function(modelItem) currentItem.Total)
                </td>
            </tr>
        Next

    </table>
End If


