﻿@ModelType AppGestio.ModelLayer.FacturaCli

@Code
    ViewData("Title") = "Create"
End Code

<h2>Create</h2>

@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<fieldset>
        <legend>FacturaCli</legend>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Descripcio)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Descripcio)
            @Html.ValidationMessageFor(Function(model) model.Descripcio)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Data)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Data)
            @Html.ValidationMessageFor(Function(model) model.Data)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Usuari)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Usuari)
            @Html.ValidationMessageFor(Function(model) model.Usuari)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.PercDescompte)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.PercDescompte)
            @Html.ValidationMessageFor(Function(model) model.PercDescompte)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.NumVenciments)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.NumVenciments)
            @Html.ValidationMessageFor(Function(model) model.NumVenciments)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Observacions)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Observacions)
            @Html.ValidationMessageFor(Function(model) model.Observacions)
        </div>

        <p>
            <input type="submit" value="Create" />
        </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
