﻿@ModelType AppGestio.DenegarFileModel



@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<fieldset>
        <legend>DenegarFileModel</legend>

        @Html.HiddenFor(Function(model) model.Id)
        <div>
            @Html.Label("Text", Recursos.file_denegar)
        </div>    

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Comentario)
        </div>
        <div class="editor-field">
            @Html.TextBoxFor(Function(model) model.Comentario, New With {.class = "camp-descripcio"})
            @Html.ValidationMessageFor(Function(model) model.Comentario)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.EnviarMail)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.EnviarMail)
            @Html.ValidationMessageFor(Function(model) model.EnviarMail)
        </div>

        <p>
            <input type="submit" value="OK" />
        </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink("Tornar", "LlegirPendents")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
