﻿@ModelType IEnumerable(Of AppGestio.ModelLayer.Document)

@Code
    ViewData("Title") = Recursos.file_llegirPend
End Code

<h1>@ViewData("Title")</h1>

<table>
    <tr>
        <th>
            @Html.DisplayNameFor(Function(model) model.ProveidorId)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.nif)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.DataFactura)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.Import)
        </th>
        <th></th>
    </tr>

@For Each item In Model
    Dim currentItem = item
    @<tr>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ProveidorId)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.nif)
        </td>
        <td>
            @Html.Label("Text", currentItem.DataFactura.ToString("dd/MM/yyyy"))
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Import)
        </td>
        <td>
            @Html.ActionLink("Descarregar", "DownloadFile", New With {.id = currentItem.Id}) |
            @Html.ActionLink("Acceptar", "AcceptarFile", New With {.id = currentItem.Id}) |
            @Html.ActionLink("Denegar", "DenegarFile", New With {.id = currentItem.Id})
        </td>
    </tr>
Next

</table>
