﻿@ModelType AppGestio.ModelLayer.Pagament

@Code
    ViewData("Title") = "Create"
End Code

<h2>Create</h2>

@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<fieldset>
        <legend>Pagament</legend>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.ProveidorId, "Proveidor")
        </div>
        <div class="editor-field">
            @Html.DropDownList("ProveidorId", String.Empty)
            @Html.ValidationMessageFor(Function(model) model.ProveidorId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.FacturaProId, "FacturaPro")
        </div>
        <div class="editor-field">
            @Html.DropDownList("FacturaProId", String.Empty)
            @Html.ValidationMessageFor(Function(model) model.FacturaProId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Numero)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Numero)
            @Html.ValidationMessageFor(Function(model) model.Numero)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.DataFactura)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.DataFactura)
            @Html.ValidationMessageFor(Function(model) model.DataFactura)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Import)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Import)
            @Html.ValidationMessageFor(Function(model) model.Import)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.DataVenciment)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.DataVenciment)
            @Html.ValidationMessageFor(Function(model) model.DataVenciment)
        </div>

        <p>
            <input type="submit" value="Create" />
        </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
