﻿@ModelType AppGestio.ModelLayer.Proveidor

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.proveidor_gestioDeProveidors, Recursos.proveidor_afegir)
End Code

<h1>@ViewData("Title")</h1>

@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<fieldset>
        <legend>Proveidor</legend>
         <table>
             <tr>
                 <td>@Html.Label("Text", Recursos.camps_nom)</td>
                 <td>@Html.EditorFor(Function(model) model.Nom)</td>
                 <td>@Html.Label("Text", Recursos.camps_telefon)</td>
                 <td>@Html.EditorFor(Function(model) model.Telefon)</td>
             </tr>
             <tr>
                 <td>@Html.Label("Text", Recursos.camps_NIF)</td>
                 <td>@Html.EditorFor(Function(model) model.NIF)</td>
                 <td>@Html.Label("Text", Recursos.camps_movil)</td>
                 <td>@Html.EditorFor(Function(model) model.Movil)</td>
             </tr>
             <tr>
                 <td>@Html.Label("Text", Recursos.camps_direccio)</td>
                 <td>@Html.EditorFor(Function(model) model.Direccio)</td>
                 <td>@Html.Label("Text", Recursos.camps_Email)</td>
                 <td>@Html.EditorFor(Function(model) model.Email)</td>
             </tr>
             <tr>
                 <td>@Html.Label("Text", Recursos.camps_poblacio)</td>
                 <td>@Html.EditorFor(Function(model) model.Poblacio)</td>
                 <td>@Html.Label("Text", Recursos.camps_web)</td>
                 <td>@Html.EditorFor(Function(model) model.Web)</td>
             </tr>
             <tr>
                 <td>@Html.Label("Text", Recursos.camps_cp)</td>
                 <td>@Html.EditorFor(Function(model) model.CP)</td>
                 <td>@Html.Label("Text", Recursos.camps_provincia)</td>
                 <td>@Html.EditorFor(Function(model) model.Provincia)</td>
             </tr>
             <tr>
                 <td>@Html.Label("Text", Recursos.camps_pais)</td>
                 <td>@Html.EditorFor(Function(model) model.Pais)</td>
                 <td>@Html.Label("Text", "xTelefonContacte")</td>
                 <td>@Html.EditorFor(Function(model) model.TelefonContacte)</td>
             </tr>
             <tr>
                 <td></td>
                 <td></td>
                 <td>@Html.Label("Text", Recursos.label_activatenweb)</td>
                 <td>@Html.EditorFor(Function(model) model.ActivatEnWeb)</td>
             </tr>
             <tr>
                 <td></td>
                 <td></td>
                 <td>@Html.Label("Text", Recursos.login_nomUsuari)</td>
                 <td>@Html.EditorFor(Function(model) model.NomUsuariWeb)</td>
             </tr>
             <tr>
                 <td></td>
                 <td></td>
                 <td>@Html.Label("Text", Recursos.login_contrassenya)</td>
                 <td>@Html.PasswordFor(Function(model) model.ContrasenyaWeb)
                 @Html.ValidationMessageFor(Function(model) model.ContrasenyaWeb)</td>
             </tr>
         </table>

         <p>
             <input type="submit" value="@Recursos.proveidor_afegir" />
         </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink(Recursos.button_tornarALlista, "Index")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
