﻿@ModelType AppGestio.ModelLayer.Proveidor

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.proveidor_gestioDeProveidors, Recursos.camps_visualitzar)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>

<fieldset>
    <legend>Client</legend>
    @Html.HiddenFor(Function(model) model.ProveidorId)
    <table>
        <tr>
            <td>@Html.Label("Text", "Id")</td>
            <td>@Html.DisplayFor(Function(model) model.ProveidorId)</td>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_nom)</td>
            <td>@Html.DisplayFor(Function(model) model.Nom)</td>
            <td>@Html.Label("Text", Recursos.camps_telefon)</td>
            <td>@Html.DisplayFor(Function(model) model.Telefon)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_NIF)</td>
            <td>@Html.DisplayFor(Function(model) model.NIF)</td>
            <td>@Html.Label("Text", Recursos.camps_movil)</td>
            <td>@Html.DisplayFor(Function(model) model.Movil)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_direccio)</td>
            <td>@Html.DisplayFor(Function(model) model.Direccio)</td>
            <td>@Html.Label("Text", Recursos.camps_Email)</td>
            <td>@Html.DisplayFor(Function(model) model.Email)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_poblacio)</td>
            <td>@Html.DisplayFor(Function(model) model.Poblacio)</td>
            <td>@Html.Label("Text", Recursos.camps_web)</td>
            <td>@Html.DisplayFor(Function(model) model.Web)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_cp)</td>
            <td>@Html.DisplayFor(Function(model) model.CP)</td>
            <td>@Html.Label("Text", Recursos.camps_provincia)</td>
            <td>@Html.DisplayFor(Function(model) model.Provincia)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_pais)</td>
            <td>@Html.DisplayFor(Function(model) model.Pais)</td>
            <td>@Html.Label("Text", "Recursos.camps_NomContacte")</td>
            <td>@Html.DisplayFor(Function(model) model.NomContacte)</td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td>@Html.Label("Text", "Recursos.camps_TelefonContacte")</td>
            <td>@Html.DisplayFor(Function(model) model.TelefonContacte)</td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td>@Html.Label("Text", "Recursos.ActivatEnWeb")</td>
            <td>@Html.DisplayFor(Function(model) model.ActivatEnWeb)</td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td>@Html.Label("Text", Recursos.login_nomUsuari)</td>
            <td>@Html.DisplayFor(Function(model) model.NomUsuariWeb)</td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td>@Html.Label("Text", Recursos.login_contrassenya)</td>
            <td>***</td>
        </tr>
        <tr></tr>
    </table>
</fieldset>
<p>
     
    @Html.ActionLink(Recursos.button_modificar, "Edit", New With {.id = Model.ProveidorId}) |
    @Html.ActionLink(Recursos.button_tornarALlista, "Index")
</p>
