﻿@ModelType IEnumerable(Of AppGestio.ModelLayer.Proveidor)

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.proveidor_gestioDeProveidors, Recursos.general_index)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>

 
<p>
    @Html.ActionLink(Recursos.proveidor_afegir, "Create")
</p>
<table>
    <tr>
        <th width="13%">
            @Html.Label("Text", Recursos.camps_proveidor)
        </th>
        <th width="25%">
            @Html.Label("Text", Recursos.camps_nom)
        </th>
        <th width="25%">
            @Html.Label("Text", Recursos.camps_NIF)
        </th>
        <th width="25%">
            @Html.Label("Text", Recursos.camps_Email)
        </th>
        <th width="4%">@Html.Label("Text", Recursos.camps_visualitzar)</th>
        <th width="4%">@Html.Label("Text", Recursos.camps_editar)</th>
        <th width="4%">@Html.Label("Text", Recursos.camps_eliminar)</th>
    </tr>

    @For Each item In Model
        Dim currentItem = item
        @<tr class="fila_resultats">
            <td>
                @Html.DisplayFor(Function(modelItem) currentItem.ProveidorId)
            </td>
            <td>
                @Html.DisplayFor(Function(modelItem) currentItem.Nom)
            </td>
            <td>
                @Html.DisplayFor(Function(modelItem) currentItem.NIF)
            </td>
            <td>
                @Html.DisplayFor(Function(modelItem) currentItem.Email)
            </td>
            <td>
                <a href="@Url.Action("Details", "Proveedor", New With {.id = currentItem.ProveidorId})">
                    <img src="~/Images/iconos/preview.png" height="20" />
                </a>
                @*@Html.ActionLink("Details", "Details", New With {.id = currentItem.ClientId})*@
            </td>
            <td>
                <a href="@Url.Action("Edit", "Proveedor", New With {.id = currentItem.ProveidorId})">
                    <img src="~/Images/iconos/edit.png" height="20" />
                </a>
                @*@Html.ActionLink("Edit", "Edit", New With {.id = currentItem.ClientId})*@
            </td>
            <td>
                <a href="@Url.Action("Delete", "Proveedor", New With {.id = currentItem.ProveidorId})">
                    <img src="~/Images/iconos/delete.png" height="20" />
                </a>
                @*@Html.ActionLink("Delete", "Delete", New With {.id = currentItem.ClientId})*@
            </td>
        </tr>
    Next

</table>
