﻿@ModelType IEnumerable(Of AppGestio.ModelLayer.PressupostLin)

<table>
    <tr>
        <th width="13%">
            @Html.Label("Text", Recursos.label_linia)
        </th>
        <th width="49%">
            @Html.Label("Text", Recursos.camps_descripcio)
        </th>
        <th width="10%">
            @Html.Label("Text", Recursos.camps_quantitat)
        </th>
        <th width="8%">
            @Html.Label("Text", Recursos.camps_preu)
        </th>
        <th width="8%">
            @Html.Label("Text", Recursos.camps_iva)
        </th>
        <th width="8%">
            @Html.Label("Text", Recursos.camps_import)
        </th>
    </tr>
    @For Each item In Model
        Dim currentItem = item

        @<tr>
            <td>
                @Html.Label("Text", currentItem.Linia.ToString)
            </td>
            <td>
                @Html.Label("Text", CStr(If(currentItem.Descripcio Is Nothing, "", currentItem.Descripcio)), New With {.style = "width:300px"})
            </td>
            <td>
                @Html.Label("Text", CStr(currentItem.Quantitat), New With {.style = "width:70px"})
            </td>
            <td>
                @Html.Label("Text", currentItem.Preu.ToString("0.00"), New With {.style = "width:70px"})
            </td>
            <td>
                @Html.Label("Text", currentItem.PercIVA.ToString("0.00"), New With {.style = "width:70px"})
            </td>
            <td>
                @Html.Label("Text", currentItem.Import.ToString("0.00"), New With {.style = "width:70px"})
            </td>
        </tr>
    Next
</table>
