﻿
<ServiceContract()>
Public Interface IReformesService


#Region "Externs"

    ''' <summary>
    ''' Comprova el nom d'usuari i password web del proveidor
    ''' </summary>
    ''' <param name="Usuari"></param>
    ''' <param name="pass"></param>
    ''' <returns>Retorna 'True' si l'usuari s'ha validat i 'False' en cas contrari.</returns>
    ''' <remarks></remarks>
    <OperationContract>
    Function LoginExtern(ByVal Usuari As String, ByVal pass As String, ByRef idProv As Double, ByRef NomProveidor As String) As Boolean

    ''' <summary>
    ''' Envia una factura per guardar a la base de dades.
    ''' </summary>
    ''' <param name="ProveidorID"></param>
    ''' <param name="NomFitxer"></param>
    ''' <param name="longitud"></param>
    ''' <param name="ContentType"></param>
    ''' <param name="data"></param>
    ''' <returns>Retirna un identificador del fitxewr per si s'han d'enviar mes dades</returns>
    ''' <remarks></remarks>
    <OperationContract>
    Function AddFacturaPro(ProveidorID As Long, NomFitxer As String, longitud As Long, ContentType As String, data As String,
                                  nif As String, datafactura As Date, import As Double) As Long

    ''' <summary>
    ''' Envia una factura per guardar a la base de dades.
    ''' </summary>
    ''' <param name="FileId">Identificador del fitxer</param>
    ''' <param name="data">dades a agregar</param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <OperationContract>
    Function AddDataToFacturaPro(FileId As Long, data As String) As Boolean

    <OperationContract>
    Function GetConfiguracioReminder() As List(Of Configuracio)

    <OperationContract>
    Function SetConfiguracioReminder(oLista As List(Of Configuracio)) As Boolean

    <OperationContract>
    Function GetAvisos(CantDiesEntreAvisos As Integer) As List(Of Avis)

    <OperationContract>
    Function SetAvisosRespostes(oLista As List(Of RespostaAvis)) As Boolean
#End Region


End Interface

