﻿

Public Class ReformesService
    Implements IReformesService




    Public Sub New()
    End Sub

#Region "Externs"

    Public Function LoginExtern(Usuari As String, pass As String, ByRef idProv As Double, ByRef NomProveidor As String) As Boolean Implements IReformesService.LoginExtern
        Return DAOFactory.IsValidProveidor(Usuari, pass, idProv, NomProveidor)
    End Function
    Public Function AddFacturaPro(ProveidorID As Long, NomFitxer As String, longitud As Long, ContentType As String, data As String,
                                  nif As String, datafactura As Date, import As Double) As Long Implements IReformesService.AddFacturaPro

        Return DAOFactory.SetFactura(ProveidorID, NomFitxer, longitud, ContentType, data, nif, datafactura, import)

    End Function

    Public Function AddDataToFacturaPro(FileId As Long, data As String) As Boolean Implements IReformesService.AddDataToFacturaPro
        Return DAOFactory.AddDataToFacturaPro(FileId, data)
    End Function

    Public Function GetAvisos(CantDiesEntreAvisos As Integer) As List(Of Avis) Implements IReformesService.GetAvisos
        Return DAOFactory.GetAvisos(CantDiesEntreAvisos)
    End Function

    Public Function GetConfiguracioReminder() As List(Of Configuracio) Implements IReformesService.GetConfiguracioReminder
        Return DAOFactory.GetConfiguracioReminder
    End Function

    Public Function SetAvisosRespostes(oLista As List(Of RespostaAvis)) As Boolean Implements IReformesService.SetAvisosRespostes
        Return DAOFactory.SetAvisosRespostes(oLista)
    End Function

    Public Function SetConfiguracioReminder(oLista As List(Of Configuracio)) As Boolean Implements IReformesService.SetConfiguracioReminder
        Return DAOFactory.SetConfiguracioReminder(oLista)
    End Function

#End Region







End Class
