﻿Imports System.ServiceModel
Imports System.ComponentModel

Namespace ModelLayer

    <DataContract>
    Public MustInherit Class Persona

#Region "Propietats"

        <DataMember>
        Public Property Nom As String

        <DataMember>
        Public Property NIF As String

        <DataMember>
        Public Property Direccio As String

        <DataMember>
        Public Property CP As Int32

        <DataMember>
        Public Property Poblacio As String

        <DataMember>
        Public Property Provincia As String

        <DataMember>
        Public Property Pais As String

        <DataMember>
        Public Property Telefon As String

        <DataMember>
        Public Property Movil As String

        <DataMember>
        Public Property Email As String

        <DataMember>
        Public Property Web As String
#End Region

#Region "Mètodes Concrets"

        Public Sub FromObject(ByRef oPersona As Persona)
            With oPersona

                Me.Nom = .Nom
                Me.NIF = .NIF
                Me.Direccio = .Direccio
                Me.CP = .CP
                Me.Poblacio = .Poblacio
                Me.Provincia = .Provincia
                Me.Pais = .Pais
                Me.Telefon = .Telefon
                Me.Movil = .Movil
                Me.Email = .Email
                Me.Web = .Web

            End With
        End Sub

#End Region

#Region "Mètodes Abstractes"

        Public Shared Function ComprovarEmail(ByVal pEmail As String) As Boolean
            Throw New NotImplementedException("ComprovarEmail")
        End Function
        Public Shared Function ComprovarNIF(ByVal pNif As String) As Boolean
            Throw New NotImplementedException("ComprovarNIF")
        End Function


#End Region



    End Class
End Namespace