﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations.Schema

Namespace ModelLayer

    <DataContract>
    Public MustInherit Class Transaccio

        Public Event EstatChanged As EventHandler

        <DataMember>
        Public Property Id As Long

        <DataMember>
        Public Property Numero As Integer

        <DataMember>
        <Column(typename:="DateTime2")>
        Public Property DataFactura As Date?

        <DataMember>
        Public Property Import As Double

        <DataMember>
        <Column(typename:="DateTime2")>
        Public Property DataVenciment As Date?

        <DataMember>
        Public Property Estat As EnumEstatsTransaccio

        <DataMember>
        Public Property FormaPagament As EnumFormesPagament

        <DataMember>
        <Column(typename:="DateTime2")>
        Public Property UltimaReclamacio As Date?

        <DataMember>
        Public Property Enviat As Boolean

        <DataMember>
        Public Property Missatge As String

#Region "Mètodes Concrets"
        Public MustOverride Sub CanviarEstatTransaccio()

        Public Sub FromObject(ByRef oTransaccio As Transaccio)
            With oTransaccio
                Me.Id = .Id
                Me.DataFactura = .DataFactura
                Me.Import = .Import
                Me.DataVenciment = .DataVenciment
                Me.Estat = .Estat
                Me.FormaPagament = .FormaPagament
                Me.UltimaReclamacio = .UltimaReclamacio
                Me.Enviat = .Enviat
                Me.Missatge = .Missatge
            End With
        End Sub

#End Region
    End Class



End Namespace
