﻿@ModelType AppGestio.ModelLayer.Usuari

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.user_gestioDUsuaris, Recursos.camps_editar)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>


@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<table>
    <tr>
        <td>
            <table>
                <tr>
                    <td>
                        <fieldset>
                            <legend>Usuari</legend>

                            @Html.HiddenFor(Function(model) model.UsuariId)

                            <div class="editor-label">
                                @Html.Label("Text", Recursos.camps_nom)
                            </div>
                            <div class="editor-field">
                                @Html.EditorFor(Function(model) model.NomComplet)
                                @Html.ValidationMessageFor(Function(model) model.NomComplet)
                            </div>



                            <div class="editor-label">
                                @Html.Label("Text", Recursos.camps_dataalta)
                            </div>
                            <div class="editor-field">
                                @Html.EditorFor(Function(model) model.DataAlta)
                                @Html.ValidationMessageFor(Function(model) model.DataAlta)
                            </div>

                            <div class="editor-label">
                                @Html.Label("Text", Recursos.camps_databaixa)
                            </div>
                            <div class="editor-field">
                                @Html.EditorFor(Function(model) model.DataBaixa)
                                @Html.ValidationMessageFor(Function(model) model.DataBaixa)
                            </div>

                            <div class="editor-label">
                                @Html.LabelFor(Function(model) model.DataUltimAcces)
                            </div>
                            <div class="editor-field">
                                @Html.EditorFor(Function(model) model.DataUltimAcces)
                                @Html.ValidationMessageFor(Function(model) model.DataUltimAcces)
                            </div>
                            <div class="editor-label">
                                @Html.Label("Text", "xTipusUsuari")
                            </div>
                            <div class="editor-field">
                                @Html.DropDownListFor(Function(model) model.Tipus, New SelectList(ViewData("tipos"), "Key", "Value"))
                                @Html.ValidationMessageFor(Function(model) model.DataBaixa)
                            </div>

                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <td>
                        <fieldset>
                            <div class="editor-label">
                                @Html.LabelFor(Function(model) model.NomUsuari)
                            </div>
                            <div class="editor-field">
                                @Html.EditorFor(Function(model) model.NomUsuari)
                                @Html.ValidationMessageFor(Function(model) model.NomUsuari)
                            </div>
                            <div class="editor-label">
                                @Html.LabelFor(Function(model) model.Contrassenya)
                            </div>
                            <div class="editor-field">
                                @Html.PasswordFor(Function(model) model.Contrassenya)
                                @Html.ValidationMessageFor(Function(model) model.Contrassenya)
                            </div>
                        </fieldset>
                    </td>
                </tr>
            </table>
        </td>
        @*<td>
            <fieldset>
                <legend>Acces</legend>
                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesClients)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesClients)
                    @Html.ValidationMessageFor(Function(model) model.AccesClients)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesProveidors)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesProveidors)
                    @Html.ValidationMessageFor(Function(model) model.AccesProveidors)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesPressupostos)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesPressupostos)
                    @Html.ValidationMessageFor(Function(model) model.AccesPressupostos)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesPresupostos)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesPresupostos)
                    @Html.ValidationMessageFor(Function(model) model.AccesPresupostos)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesFacturesCli)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesFacturesCli)
                    @Html.ValidationMessageFor(Function(model) model.AccesFacturesCli)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesFacturesPro)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesFacturesPro)
                    @Html.ValidationMessageFor(Function(model) model.AccesFacturesPro)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesFacturesDes)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesFacturesDes)
                    @Html.ValidationMessageFor(Function(model) model.AccesFacturesDes)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesCobraments)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesCobraments)
                    @Html.ValidationMessageFor(Function(model) model.AccesCobraments)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesPagaments)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesPagaments)
                    @Html.ValidationMessageFor(Function(model) model.AccesPagaments)
                </div>

                <div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesContabilitat)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesContabilitat)
                    @Html.ValidationMessageFor(Function(model) model.AccesContabilitat)
                </div>

                @*<div class="editor-label">
                    @Html.LabelFor(Function(model) model.AccesWindowsPhone)
                </div>
                <div class="editor-field">
                    @Html.EditorFor(Function(model) model.AccesWindowsPhone)
                    @Html.ValidationMessageFor(Function(model) model.AccesWindowsPhone)
                </div>
            </fieldset>
        </td>*@
    </tr>
    </table>
    
     @<p>
         <input type="submit" value="@Recursos.button_guardar" />
     </p>
    
End Using

<div>
    @Html.ActionLink(Recursos.button_tornarALlista, "Index")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
