﻿@ModelType AppGestio.ModelLayer.Article

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.label_articles, Recursos.camps_editar)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>


@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<fieldset>
        <legend>Article</legend>

        @Html.HiddenFor(Function(model) model.ArticleId)

        <div class="editor-label">
            @Html.Label("Text", Recursos.camps_nom)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Nom)
            @Html.ValidationMessageFor(Function(model) model.Nom)
        </div>

        <div class="editor-label">
            @Html.Label("Text", Recursos.camps_preu)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Preu)
            @Html.ValidationMessageFor(Function(model) model.Preu)
        </div>

        <div class="editor-label">
            @Html.Label("Text", Recursos.camps_unitats)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Unitats)
            @Html.ValidationMessageFor(Function(model) model.Unitats)
        </div>

        <p>
            <input type="submit" value="@Recursos.button_guardar" />
        </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink(Recursos.button_tornarALlista, "Index")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
