﻿@ModelType AppGestio.ModelLayer.Client

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.client_gestioDeClients, Recursos.camps_visualitzar)
End Code

<h1>@ViewData("Title")</h1>

<fieldset>
    <legend>Client</legend>
    @Html.HiddenFor(Function(model) model.ClientId)
    <table>
        <tr>
            <td>@Html.Label("Text", "Id")</td>
            <td>@Html.DisplayFor(Function(model) model.ClientId)</td>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_nom)</td>
            <td>@Html.DisplayFor(Function(model) model.Nom)</td>
            <td>@Html.Label("Text", Recursos.camps_telefon)</td>
            <td>@Html.DisplayFor(Function(model) model.Telefon)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_NIF)</td>
            <td>@Html.DisplayFor(Function(model) model.NIF)</td>
            <td>@Html.Label("Text", Recursos.camps_movil)</td>
            <td>@Html.DisplayFor(Function(model) model.Movil)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_direccio)</td>
            <td>@Html.DisplayFor(Function(model) model.Direccio)</td>
            <td>@Html.Label("Text", Recursos.camps_Email)</td>
            <td>@Html.DisplayFor(Function(model) model.Email)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_poblacio)</td>
            <td>@Html.DisplayFor(Function(model) model.Poblacio)</td>
            <td>@Html.Label("Text", Recursos.camps_web)</td>
            <td>@Html.DisplayFor(Function(model) model.Web)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_cp)</td>
            <td>@Html.DisplayFor(Function(model) model.CP)</td>
            <td>@Html.Label("Text", Recursos.camps_provincia)</td>
            <td>@Html.DisplayFor(Function(model) model.Provincia)</td>
        </tr>
        <tr>
            <td>@Html.Label("Text", Recursos.camps_pais)</td>
            <td>@Html.DisplayFor(Function(model) model.Pais)</td>
            <td></td>
            <td></td>
        </tr>
        <tr></tr>
    </table>
</fieldset>
<p>


    @Html.ActionLink(Recursos.camps_editar, "Edit", New With {.id = Model.ClientId}) |
    @Html.ActionLink(Recursos.button_tornarALlista, "Index")
</p>
