﻿@ModelType AppGestio.ModelLayer.Cobrament

@Code
    ViewData("Title") = "Edit"
End Code

<h2>Edit</h2>

@Using Html.BeginForm()
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(True)

    @<fieldset>
        <legend>Cobrament</legend>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.ClientId, "Client")
        </div>
        <div class="editor-field">
            @Html.DropDownList("ClientId", String.Empty)
            @Html.ValidationMessageFor(Function(model) model.ClientId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.FacturaCliId, "FacturaCli")
        </div>
        <div class="editor-field">
            @Html.DropDownList("FacturaCliId", String.Empty)
            @Html.ValidationMessageFor(Function(model) model.FacturaCliId)
        </div>

        @Html.HiddenFor(Function(model) model.Id)

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Numero)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Numero)
            @Html.ValidationMessageFor(Function(model) model.Numero)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.DataFactura)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.DataFactura)
            @Html.ValidationMessageFor(Function(model) model.DataFactura)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Import)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Import)
            @Html.ValidationMessageFor(Function(model) model.Import)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.DataVenciment)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.DataVenciment)
            @Html.ValidationMessageFor(Function(model) model.DataVenciment)
        </div>

        <p>
            <input type="submit" value="Save" />
        </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
