﻿@ModelType IEnumerable(Of AppGestio.ModelLayer.Cobrament)

@Code
    ViewData("Title") = String.Format("{0}. {1}", Recursos.label_cobraments, Recursos.general_index)
End Code

<div>
    <h1>@ViewData("Title")</h1>
</div>

@*<p>
    @Html.ActionLink("Create New", "Create")
</p>*@

@Using (Html.BeginForm)
    @<table>
        <tr>
            <td width="100px">@Html.Label("Text", Recursos.camps_data & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaIni", value:=Now.AddMonths(-1).ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td width="100px">@Html.Label("Text", Recursos.camps_data & ":")</td>
            <td width="120px">@Html.TextBox("txtFechaFin", value:=Now.ToString("dd/MM/yyyy"), htmlAttributes:=New With {.class = "datefield", .type = "string", .style = "width: 100px"})</td>
            <td><input type="submit" value="@Recursos.button_aplicar" /></td>
        </tr>
    </table>
End Using
<table>
    <tr>
        <th>
            @Html.DisplayNameFor(Function(model) model.Client.Nom)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.FacturaCli.Descripcio)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.Numero)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.DataFactura)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.Import)
        </th>
        <th>
            @Html.DisplayNameFor(Function(model) model.DataVenciment)
        </th>
        <th></th>
    </tr>

@For Each item In Model
    Dim currentItem = item
    @<tr>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Client.Nom)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.FacturaCli.Descripcio)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Numero)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.DataFactura)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Import)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.DataVenciment)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", New With {.id = currentItem.Id}) |
            @Html.ActionLink("Details", "Details", New With {.id = currentItem.Id}) |
            @Html.ActionLink("Delete", "Delete", New With {.id = currentItem.Id})
        </td>
    </tr>
Next

</table>
