﻿@ModelType IEnumerable(Of AppGestio.ModelLayer.FacturaProLin)
@code
    Dim grid As New WebGrid(rowsPerPage:=10)
    grid.Bind(Model, autoSortAndPage:=False, rowCount:=Model.Count)

End Code
<script src="@Url.Content("~/Scripts/jquery-1.8.2.min.js")" type="text/javascript"></script>
<script type="text/javascript">

    $(".add").live("click", function () {

        var existrow = $('.save').length;
        if (existrow == 0) {
            var index = $("#grid tbody tr").length + 1;

            //var Pressup = "Pressup_" + index;
            var Linia = "Linia_" + index;
            var Desc = "Desc_" + index;
            var Quantitat = "Quantitat_" + index;
            var Preu = "Preu_" + index;
            var Iva = "Iva_" + index;
            var Save = "Save_" + index;
            var Cancel = "Cancel_" + index;

            var tr = '<tr class="alternate-row">' + //<td><span> <input id="' + Pressup + '" type="text" /></span></td>' +
                '<td><span> <input id="' + Linia + '" type="number" value="' + index + '"/></span></td>' +
                 '<td><span> <input id="' + Desc + '" type="text" /></span></td>' +
                 '<td><span> <input id="' + Quantitat + '" type="number" /></span></td>' +
                 '<td><span> <input id="' + Preu + '" type="number" /></span></td>' +
                 '<td><span> <input id="' + Iva + '" type="number" /></span></td><td></td>' +
                 '<td> <a href="#" id="' + Save + '" class="save">Guardar</a><a href="#" id="' + Cancel + '"  class="icancel">Cancelar</a></td>' +
             '</tr>';

            $("#grid tbody").append(tr);
        }
        else {
            alert("Guardar primer el registre que s'està editant");
        }

    });

    $(".icancel").live("click", function () {
        var flag = confirm('Vol cancel·lar?');
        if (flag) {
            $(this).parents("tr").remove();
        }

    });

    $(".save").live("click", function () {
        var id = $("#grid tbody tr").length;
        //var Pressup = $("#Pressup_" + id).val();


        var Linia = $("#Linia_" + id).val();
        var Desc = $("#Desc_" + id).val();
        var Quantitat = $("#Quantitat_" + id).val();
        var Preu = $("#Preu_" + id).val();
        var Iva = $("#Iva_" + id).val();

        if (id != "") {
            $.ajax({
                type: "GET",
                contentType: "application/json; charset=utf-8",
                url: '@Url.Action("UpdateRecord", "FacturaPro")',
                data: { "Linia": Linia, "Desc": Desc, "Quantitat": Quantitat, "preu": Preu, "PercIva": Iva },
                dataType: "json",
                beforeSend: function () { },
                success: function (data) {
                    if (data.result == true) {
                        $("#divmsg").html("Registre guardat correctament");
                        setTimeout(function () { location.reload();; }, 2000);
                    }
                    else {
                        alert('error');

                    }

                }

            });
        }
    });

    $(".edit").live("click", function () {
        var str = $(this).attr("id").split("_");
        id = str[1];


        //var Pressup = "#Pressup_" + id;
        var Linia = "#Linia_" + id;
        var Desc = "#Desc_" + id;
        var Quantitat = "#Quantitat_" + id;
        var Preu = "#Preu_" + id;
        var Iva = "#Iva_" + id;
        var Import = "#Import_" + id;

        //var spanPressup = "#spanPressup_" + id;
        var spanLinia = "#spanLinia_" + id;
        var spanDesc = "#spanDesc_" + id;
        var spanQuantitat = "#spanQuantitat_" + id;
        var spanPreu = "#spanPreu_" + id;
        var spanIva = "#spanIva_" + id;
        var spanImport = "#spanImport_" + id;


        //$(Pressup).show();
        //$(spanPressup).hide();
        $(Linia).show();
        $(spanLinia).hide();
        $(Desc).show();
        $(spanDesc).hide();
        $(Quantitat).show();
        $(spanQuantitat).hide();
        $(Preu).show();
        $(spanPreu).hide();
        $(Iva).show();
        $(spanIva).hide();
        $(Import).show();
        $(spanImport).hide();

        $(this).hide();
        $("#Update_" + id).show();
        $("#Cancel_" + id).show();

    });

    $(".cancel").live("click", function () {
        var str = $(this).attr("id").split("_");
        id = str[1];

        //var Pressup = "#Pressup_" + id;
        var Linia = "#Linia_" + id;
        var Desc = "#Desc_" + id;
        var Quantitat = "#Quantitat_" + id;
        var Preu = "#Preu_" + id;
        var Iva = "#Iva_" + id;
        var Import = "#Import_" + id;
        //var spanPressup = "#spanPressup_" + id;
        var spanLinia = "#spanLinia_" + id;
        var spanDesc = "#spanDesc_" + id;
        var spanQuantitat = "#spanQuantitat_" + id;
        var spanPreu = "#spanPreu_" + id;
        var spanIva = "#spanIva_" + id;
        var spanImport = "#spanImport_" + id;


        //$(Pressup).hide();
        //$(spanPressup).show();
        $(Linia).hide();
        $(spanLinia).show();
        $(Desc).hide();
        $(spanDesc).show();
        $(Quantitat).hide();
        $(spanQuantitat).show();
        $(Preu).hide();
        $(spanPreu).show();
        $(Iva).hide();
        $(spanIva).show();
        $(Import).hide();
        $(spanImport).show();

        $(this).hide();
        $("#Update_" + id).hide();

        $("#Edit_" + id).show();
    });

    $(".update").live("click", function () {
        var str = $(this).attr("id").split("_");
        id = str[1];

        //var Pressup = $("#Pressup_" + id).val();
        var vLinia = $("#Linia_" + id).val();
        var vDesc = $("#Desc_" + id).val();
        var vQuantitat = $("#Quantitat_" + id).val();
        var vPreu = $("#Preu_" + id).val();
        var vIva = $("#Iva_" + id).val();

        //var spanPressup = $("#spanPressup_" + id).val();
        //var spanLinia = $("#spanLinia_" + id).val();
        //var spanArticle = $("#spanArticle_" + id).val();
        //var spanQuantitat = $("#spanQuantitat_" + id).val();
        //var spanPreu = $("#spanPreu_" + id).val();
        //var spanIva = $("#spanIva_" + id).val();

        if (id != "") {
            $.ajax({
                type: "GET",
                contentType: "application/json; charset=utf-8",
                url: '@Url.Action("UpdateRecord", "FacturaPro")',
                data: { "Linia": vLinia, "Desc": vDesc, "Quantitat": vQuantitat, "preu": vPreu, "PercIva": vIva },
                dataType: "json",
                beforeSend: function () {//alert(id);
                },
                success: function (data) {

                    if (data.result == true) {
                        $("#Update_" + id).hide();
                        $("#Cancel_" + id).hide();
                        $("#Edit_" + id).show();

                        //var Pressup = "#Pressup_" + id;
                        var Linia = "#Linia_" + id;
                        var Desc = "#Desc_" + id;
                        var Quantitat = "#Quantitat_" + id;
                        var Preu = "#Preu_" + id;
                        var Iva = "#Iva_" + id;
                        var Import = "#Import_" + id;
                        //var spanPressup = "#spanPressup_" + id;
                        var spanLinia = "#spanLinia_" + id;
                        var spanDesc = "#spanDesc_" + id;
                        var spanQuantitat = "#spanQuantitat_" + id;
                        var spanPreu = "#spanPreu_" + id;
                        var spanIva = "#spanIva_" + id;
                        var spanImport = "#spanImport_" + id;


                        //$(Pressup).hide();
                        //$(spanPressup).show();
                        $(Linia).hide();
                        $(spanLinia).show();
                        $(Desc).hide();
                        $(spanDesc).show();
                        $(Quantitat).hide();
                        $(spanQuantitat).show();
                        $(Preu).hide();
                        $(spanPreu).show();
                        $(Iva).hide();
                        $(spanIva).show();

                        //$(spanPressup).text($(Pressup).val());
                        $(spanLinia).text($(Linia).val());
                        $(spanDesc).text($(Desc).val());
                        $(spanQuantitat).text($(Quantitat).val());
                        $(spanPreu).text($(Preu).val());
                        $(spanIva).text($(Iva).val());
                        $(Import).hide();
                        $(spanImport).show();
                    }
                    else {
                        alert('Error genérico ocurrido');
                    }
                }

            });
        }
    });

    $(".delete").live("click", function () {
        var str = $(this).attr("id").split("_");
        id = str[1];

        //var Pressup = $("#Pressup_" + id).val();
        var Linia = $("#Linia_" + id).val();
        var Article = $("#Article_" + id).val();

        var flag = confirm('Desija eliminar la linia "' + Linia + '"?');
        if (id != "" && flag) {
            $.ajax({
                type: "GET",
                contentType: "application/json; charset=utf-8",
                url: '@Url.Action("DeleteRecord", "FacturaPro")',
                data: { "Linia": Linia },
                dataType: "json",
                beforeSend: function () { },
                success: function (data) {

                    if (data.result == true) {
                        $("#Update_" + id).parents("tr").remove();
                    }
                    else {
                        alert('error');
                    }
                }

            });
        }
    });

</script>



@grid.GetHtml(
htmlAttributes:=New With {.id = "grid"},
    fillEmptyRows:=False,
    mode:=WebGridPagerModes.All,
    firstText:="<<",
    previousText:="<",
    nextText:=">",
    lastText:=">>",
     columns:=New WebGridColumn() {
        grid.Column(columnName:="Linia", header:="Linia", canSort:=False, format:=@@<span> <span id="spanLinia_@item.Linia">@item.Linia</span> @Html.TextBox("Linia_" & CStr(item.Linia), CStr(item.Linia), New With {.style = "display:none; width:70px"})</span>),
        grid.Column(header:=Recursos.camps_descripcio, format:=@@<span> <span id="spanDesc_@item.Linia">@item.Descripcio</span> @Html.TextBox("Desc_" & CStr(item.Linia), CStr(item.Descripcio), New With {.style = "display:none; width:70px"})</span>),
        grid.Column(header:=Recursos.camps_quantitat, format:=@@<span> <span id="spanQuantitat_@item.Linia">@item.Quantitat</span> @Html.TextBox("Quantitat_" & CStr(item.Linia), CStr(item.Quantitat), New With {.style = "display:none; width:100px"})</span>),
        grid.Column(header:=Recursos.camps_preu, format:=@@<span> <span id="spanPreu_@item.Linia">@item.Preu</span> @Html.TextBox("Preu_" & CStr(item.Linia), CDbl(item.Preu), New With {.style = "display:none; width:70px"})</span>),
        grid.Column(header:=Recursos.camps_iva, format:=@@<span> <span id="spanIva_@item.Linia">@item.PercIVA</span> <span id="Iva">@Html.TextBox("Iva_" & CStr(item.Linia), CStr(item.PercIVA), New With {.style = "display:none; width:70px"})</span></span>),
        grid.Column(header:=Recursos.camps_import, format:=@@<span> <span id="spanImport_@item.Linia">@Math.Round(CDbl(item.Import), 2)</span> @Html.TextBox("Import_" & CStr(item.Linia), Math.Round(CDbl(item.Import), 4), New With {.style = "display:none; width:70px"})</span>),
        grid.Column(header:="", format:=@@<text> <a href="#" id="Update_@item.Linia" style="display:none" class="update">Actualizar</a><a href="#" id="Cancel_@item.Linia" style="display:none"  class="cancel">Cancelar</a><a href="#" id="Delete_@item.Linia"  class="delete">Eliminar</a></text>)
    })
<br />
<br />
<div id="divmsg" style="color: green; font-weight: bold"></div>
<a href="#" class="add">@recursos.button_addLinea</a>
