Imports System.ServiceProcess
Imports System.ComponentModel
Imports System.Configuration.Install

Public Class Installer1

    Private serviceInstaller1 As ServiceInstaller
    Private processInstaller As ServiceProcessInstaller

    Public Sub New()
        MyBase.New()

        'El Diseñador de componentes requiere esta llamada.
        'InitializeComponent()

        'Agregue el código de inicialización después de llamar a InitializeComponent

        ' Instantiate installers for process and services.
        processInstaller = New ServiceProcessInstaller()
        serviceInstaller1 = New ServiceInstaller()

        ' The services will run under the system account.
        '   ServiceAccount.LocalService: Servicio local de la máquina, pocos permisos (XP, 2003 and greather)
        '   ServiceAccount.NetworkService: servicio con permisos de acceso e identificación en la red (XP, 2003 and greather)
        '   ServiceAccount.LocalSystem: servicio con permisos de acceso e identificación en la red, con el máximo de permisos
        processInstaller.Account = ServiceAccount.LocalSystem
        'processInstaller.Account = ServiceAccount.User ' Pide un usuario y una contraseña o se asigna

        ' The services will be started manually.
        serviceInstaller1.StartType = ServiceStartMode.Automatic

        ' ServiceName must equal those on ServiceBase derived classes.
        serviceInstaller1.ServiceName = NomServei
        serviceInstaller1.DisplayName = NomServei
        serviceInstaller1.Description = "Servei ReminderSVR encarregat de controlar els venciments de les factures."

        ' Add installers to collection. Order is not important.
        Installers.Add(serviceInstaller1)
        Installers.Add(processInstaller)
    End Sub

End Class
